Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.b2b.protocol.cxml
Class CXMLHttpStatusException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.bea.wli.common.WliException
                        |
                        +--com.bea.b2b.B2BException
                              |
                              +--com.bea.b2b.protocol.cxml.CXMLHttpStatusException

public class CXMLHttpStatusException
extends B2BException

A CXMLHttpStatusException is thrown if a problem occurs during processing of a CXML message. The status code indicating the problem should also be provided during construction of this exception, or default 400 will be assumed.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class com.bea.wli.common.WliException
`nested, stackTrace`

Constructor Summary
`CXMLHttpStatusException()` Constructs a PlugInException.
`CXMLHttpStatusException(java.lang.String msg)` Constructs a CXMLHttpStatusException with the specified message.
`CXMLHttpStatusException(java.lang.String msg, int statusCode)` Constructs a CXMLHttpStatusException with the specified message.

Method Summary
`int` | `getHttpStatusCode()` Returns the HTTP Status code from the exception

Methods inherited from class com.bea.wli.common.WliException
`getNestedException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CXMLHttpStatusException

    public CXMLHttpStatusException(java.lang.String msg)

  Constructs a CXMLHttpStatusException with the specified message.

  Parameters:
    `msg` - Message text.

### CXMLHttpStatusException

    public CXMLHttpStatusException(java.lang.String msg,
                                   int statusCode)

  Constructs a CXMLHttpStatusException with the specified message.

  Parameters:
    `msg` - Message text.
    `statusCode` - HTTP status code for the exception.

### CXMLHttpStatusException

    public CXMLHttpStatusException()

  Constructs a PlugInException.

Method Detail

### getHttpStatusCode

    public int getHttpStatusCode()

  Returns the HTTP Status code from the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)